{% extends 'base.html' %}

{% block content %}
{% load crispy_forms_tags %}
<div class="container mt-5">
        {% if messages %}
        {% for message in messages %}
        {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <strong>Error: </strong> {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        {% else %}
        <div class="alert alert-info alert-dismissible fade show" role="alert">
            {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        {% endif %}
        {% endfor %}
        {% endif %}
    <div class="flex-center flex-column">
        <div class="mt-3">
            <h2 class="animated fadeIn mb-5">Sign In</h2>
        </div>
        <form method="post">
            {% csrf_token %}
            {{ form|crispy }}
            <p>Don't have an account? click <a href="{% url 'signup' %}">here</a> to sign up.</p>
            <p><a href="{% url 'password_reset' %}">Forgot your password?</a></p>
            <div class="mt-3">
                <button type="submit" class="btn blue-gradient btn-rounded animated fadeIn">Sign In</button>
            </div>
        </form>
    </div>
</div>
{% endblock %}